Support » Plugin: Redis Object Cache » Not Connected after 1.5.0 update

  • Resolved mbnwk323

    (@mbnwk323)


    After upgrading, I could no longer connect to the Redis Server. Downgrading back to 1.4.3 allows it to connect again.

    My error logs contain this:
    2019/10/23 02:58:32 [error] 1420#1420: *79513 FastCGI sent in stderr: “PHP message: PHP Warning: Redis::connect() expects at most 5 parameters, 6 given in /var/www/jo-zh/wp-content/object-cache.php on line 465
    PHP message: RedisException: Redis server went away in /var/www/jo-zh/wp-content/object-cache.php:476

    BTW, I noticed a change on line 465 in the source code here.

    Here’s output from the plugin diagnostics:
    Status: Disabled
    Client:
    Drop-in: Invalid
    Redis Extension: 2.2.8-devphp7
    Predis Client: 1.1.1
    PHP Version: 7.0.33-0ubuntu0.16.04.6
    Multisite: No
    WP_REDIS_PASSWORD: “********************************************************************************”

    Thanks!

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author Till Krüss

    (@tillkruess)

    You need to upgrade your PhpRedis extension.

    mbnwk323

    (@mbnwk323)

    Thanks. I know I need to upgrade my PHP version and hopefully that will fix this.

    Plugin Author Till Krüss

    (@tillkruess)

    It won’t. You need to upgrade PhpRedis.

    mbnwk323

    (@mbnwk323)

    Thank you Till. I upgraded PhpRedis and that fixed the problem.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘Not Connected after 1.5.0 update’ is closed to new replies.